---
search:
  tags:
    - Tax Groups
    - PATCH
seo:
  description: >-
    Updates an existing tax group's name,… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/tax-groups/{tax_group_slug} endpoint in the
    Management API.
sidebar:
  label: Update a tax group
  badge: PATCH
title: Update a tax group
type: openapi-operation
---
Updates an existing tax group's name, slug, description, and default status. If marked as default, removes default status from other tax groups.

`PATCH /api/v1/{team_slug}/{app_slug}/tax-groups/{tax_group_slug}`

**Request body** (`application/json`, required)

Tax group data

- `description` (string)
- `is_default` (boolean) — If this tax group is the default tax group. If a product is created without a tax group will this tax group be selected
- `name` (string, required)
- `slug` (string, required)

Request body example:

```json
{
  "description": "string",
  "is_default": true,
  "name": "string",
  "slug": "string"
}
```

**Responses**

- `200` — Tax group updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "description": "string",
    "id": "string",
    "is_default": true,
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "country_tax_percentages": [
          {
            "country_code": "string",
            "created_at": "string",
            "id": "string",
            "tax_percentage": 0,
            "updated_at": "string"
          }
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
